import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceGetCasesOverview = createAsyncThunk(
  "GET_PROVINCE_OVERVIEW_CASES",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "general-statistics-dashboard-for-cases/",
      {
        params: {
          date1: d.date1,
          date2: d.date2,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
